Skip to content
AGH RuntimeAPI Reference

Extensions

AGH Extensions HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.

List installed extensions

GET/api/extensions

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/extensions"
{
  "extensions": [
    {
      "actions": [
        "string"
      ],
      "bundles": [
        {
          "description": "string",
          "name": "string",
          "profiles": [
            "string"
          ]
        }
      ],
      "capabilities": [
        "string"
      ],
      "daemon_running": true,
      "enabled": true,
      "health": "string",
      "health_message": "string",
      "last_error": "string",
      "missing_env": [
        "string"
      ],
      "name": "string",
      "pid": 0,
      "requires_env": [
        "string"
      ],
      "source": "string",
      "state": "string",
      "type": "string",
      "uptime_seconds": 0,
      "version": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty

Install an extension by path and checksum

POST/api/extensions

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/extensions" \  -H "Content-Type: application/json" \  -d '{    "checksum": "string",    "path": "string"  }'
{
  "extension": {
    "actions": [
      "string"
    ],
    "bundles": [
      {
        "description": "string",
        "name": "string",
        "profiles": [
          "string"
        ]
      }
    ],
    "capabilities": [
      "string"
    ],
    "daemon_running": true,
    "enabled": true,
    "health": "string",
    "health_message": "string",
    "last_error": "string",
    "missing_env": [
      "string"
    ],
    "name": "string",
    "pid": 0,
    "requires_env": [
      "string"
    ],
    "source": "string",
    "state": "string",
    "type": "string",
    "uptime_seconds": 0,
    "version": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty

Get one installed extension

GET/api/extensions/{name}

Path Parameters

name*string

Extension name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/extensions/string"
{
  "extension": {
    "actions": [
      "string"
    ],
    "bundles": [
      {
        "description": "string",
        "name": "string",
        "profiles": [
          "string"
        ]
      }
    ],
    "capabilities": [
      "string"
    ],
    "daemon_running": true,
    "enabled": true,
    "health": "string",
    "health_message": "string",
    "last_error": "string",
    "missing_env": [
      "string"
    ],
    "name": "string",
    "pid": 0,
    "requires_env": [
      "string"
    ],
    "source": "string",
    "state": "string",
    "type": "string",
    "uptime_seconds": 0,
    "version": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty

Disable an installed extension

POST/api/extensions/{name}/disable

Path Parameters

name*string

Extension name

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/extensions/string/disable"
{
  "extension": {
    "actions": [
      "string"
    ],
    "bundles": [
      {
        "description": "string",
        "name": "string",
        "profiles": [
          "string"
        ]
      }
    ],
    "capabilities": [
      "string"
    ],
    "daemon_running": true,
    "enabled": true,
    "health": "string",
    "health_message": "string",
    "last_error": "string",
    "missing_env": [
      "string"
    ],
    "name": "string",
    "pid": 0,
    "requires_env": [
      "string"
    ],
    "source": "string",
    "state": "string",
    "type": "string",
    "uptime_seconds": 0,
    "version": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty

Enable an installed extension

POST/api/extensions/{name}/enable

Path Parameters

name*string

Extension name

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/extensions/string/enable"
{
  "extension": {
    "actions": [
      "string"
    ],
    "bundles": [
      {
        "description": "string",
        "name": "string",
        "profiles": [
          "string"
        ]
      }
    ],
    "capabilities": [
      "string"
    ],
    "daemon_running": true,
    "enabled": true,
    "health": "string",
    "health_message": "string",
    "last_error": "string",
    "missing_env": [
      "string"
    ],
    "name": "string",
    "pid": 0,
    "requires_env": [
      "string"
    ],
    "source": "string",
    "state": "string",
    "type": "string",
    "uptime_seconds": 0,
    "version": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
Empty